org.apache.http.impl.client

## Class NoopUserTokenHandler

- java.lang.Object
- - org.apache.http.impl.client.NoopUserTokenHandler

- All Implemented Interfaces:
    UserTokenHandler

      @Contract(threading=IMMUTABLE)
      public class NoopUserTokenHandler
      extends Object
      implements UserTokenHandler

  Noop implementation of `UserTokenHandler` that always returns `null`.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NoopUserTokenHandler` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopUserTokenHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getUserToken(org.apache.http.protocol.HttpContext context)` The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final NoopUserTokenHandler INSTANCE

  - ### Constructor Detail

    - #### NoopUserTokenHandler

          public NoopUserTokenHandler()

  - ### Method Detail

    - #### getUserToken

          public Object getUserToken(org.apache.http.protocol.HttpContext context)

      Description copied from interface: `UserTokenHandler`
      The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.
      Specified by:
        `getUserToken` in interface `UserTokenHandler`
      Parameters:
        `context` - the execution context
      Returns:
        user token that uniquely identifies the user or `null` if the context is not user specific.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.